# class KEdReplace |
Definition | `#include <keditcl.h>`
Inherits | KDialogBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KEdReplace ( QWidget *parent = 0, const char *name=0, bool modal=true )
- ~KEdReplace ()
- QString getText ()
- QString getReplaceText ()
- void setText (QString)
- KHistoryCombo * searchCombo () const
- KHistoryCombo * replaceCombo () const
- bool case_sensitive ()
- bool get_direction ()

#### Signals

- void replace ()
- void find ()
- void replaceAll ()
- void done ()

#### Public Members

- QLineEdit *value
- QLineEdit *replace_value

#### Protected Slots

- void slotCancel ( void )
- void slotUser1 ( void )
- void slotUser2 ( void )
- void slotUser3 ( void )

## Detailed Description

KEdReplace ( QWidget *parent = 0, const char *name=0, bool modal=true ) | ### KEdReplace

~KEdReplace () | ### ~KEdReplace

QString getText () | ### getText

QString getReplaceText () | ### getReplaceText

void setText (QString) | ### setText

KHistoryCombo * searchCombo () | ### searchCombo

[const]

Returns: the combobox containing the history of searches. Can be used to save and restore the history.

KHistoryCombo * replaceCombo () | ### replaceCombo

[const]

Returns: the combobox containing the history of replaces. Can be used to save and restore the history.

QLineEdit * value | ### value

QLineEdit * replace_value | ### replace_value

bool case_sensitive () | ### case_sensitive

bool get_direction () | ### get_direction

void slotCancel ( void ) | ### slotCancel

[protected slots slot]

Reimplemented from KDialogBase.

void slotUser1 ( void ) | ### slotUser1

[protected slots slot]

Reimplemented from KDialogBase.

void slotUser2 ( void ) | ### slotUser2

[protected slots slot]

Reimplemented from KDialogBase.

void slotUser3 ( void ) | ### slotUser3

[protected slots slot]

Reimplemented from KDialogBase.

void replace () | ### replace

[signal]

void find () | ### find

[signal]

void replaceAll () | ### replaceAll

[signal]

void done () | ### done

[signal]

Reimplemented from QDialog.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.